declare const _default: {
    name: string;
    props: {
        title: StringConstructor;
        text: StringConstructor;
        modalActive: BooleanConstructor;
        showOkButton: BooleanConstructor;
        showConfirmButton: BooleanConstructor;
        showCloseButton: BooleanConstructor;
        backgroundColor: StringConstructor;
        showLoad: BooleanConstructor;
        confirmButtonText: {
            default: string;
            type: StringConstructor;
        };
    };
    data: () => {
        load: boolean;
    };
    mounted(): void;
    updated(): void;
    methods: {
        bodyOverflowModify(): void;
        closeModal(): void;
        cancelModal(): void;
        okModal(): void;
    };
};
export default _default;
